QTextIStream(3qt)

NAME
QTextIStream - A convenience class for input streams

#include <qtextstream.h>

Inherits QTextStream.

  Public Members
QTextIStream ( QString * s )
QTextIStream ( QByteArray ba )
QTextIStream ( FILE * f )

DESCRIPTION
A convenience class for input streams.

For simple tasks, code should be simple. Hence this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This makes it easy for example, to write things like this:

    QString data = "123 456";
    int a, b;
    QTextIStream(&data) >> a >> b;

See also QTextOStream.

MEMBER FUNCTION DOCUMENTATION

QTextIStream::QTextIStream ( QByteArray ba )
Constructs a stream to read from the array ba.

QTextIStream::QTextIStream ( QString * s )
Constructs a stream to read from string s.

QTextIStream::QTextIStream ( FILE * f )
Constructs a stream to read from the file f.

SEE ALSO
http://doc.trolltech.com/qtextistream.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextistream.3) and the Qt version (2.3.2).